curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/GetConnector \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/GetConnector', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/GetConnector"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/GetConnector")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/GetConnector"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connector": {
"name": "<string>",
"type": "<string>",
"enabled": true,
"url": "<string>",
"auth": {
"type": "<string>",
"token": "<string>",
"headers": {},
"audience": "<string>",
"scopes": "<string>",
"idpId": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>",
"oauthAuthorizeEndpoint": "<string>",
"oauthTokenEndpoint": "<string>",
"tokenSet": true,
"headersSet": true,
"oauthClientSecretSet": true,
"clearCredentials": true,
"headerKeys": [
"<string>"
],
"clearHeaders": true
},
"stdio": {
"command": "<string>",
"args": [
"<string>"
]
},
"description": "<string>",
"serverJson": "<string>",
"authMethod": "<string>",
"allowUserOverride": true,
"kind": "<string>",
"iconUrl": "<string>",
"spec": "<string>",
"specFetchedAt": "<string>",
"displayName": "<string>",
"configFields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"required": true,
"secret": true,
"scope": "<string>"
}
],
"id": "<string>",
"oauthRedirectUri": "<string>",
"oauthCallbackKey": "<string>"
}
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Get connector
Get a configured connector by its canonical id
Requires the connectors:read scope.
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/GetConnector \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/GetConnector', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/GetConnector"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/GetConnector")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/GetConnector"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connector": {
"name": "<string>",
"type": "<string>",
"enabled": true,
"url": "<string>",
"auth": {
"type": "<string>",
"token": "<string>",
"headers": {},
"audience": "<string>",
"scopes": "<string>",
"idpId": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>",
"oauthAuthorizeEndpoint": "<string>",
"oauthTokenEndpoint": "<string>",
"tokenSet": true,
"headersSet": true,
"oauthClientSecretSet": true,
"clearCredentials": true,
"headerKeys": [
"<string>"
],
"clearHeaders": true
},
"stdio": {
"command": "<string>",
"args": [
"<string>"
]
},
"description": "<string>",
"serverJson": "<string>",
"authMethod": "<string>",
"allowUserOverride": true,
"kind": "<string>",
"iconUrl": "<string>",
"spec": "<string>",
"specFetchedAt": "<string>",
"displayName": "<string>",
"configFields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"required": true,
"secret": true,
"scope": "<string>"
}
],
"id": "<string>",
"oauthRedirectUri": "<string>",
"oauthCallbackKey": "<string>"
}
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
identity, gzip, br Define the version of the Connect protocol
v1 Response
Success
ConnectorConfig is a workspace tool source of some kind (MCP / GraphQL /
OpenAPI), keyed by kind. Despite the historical field set (type, stdio,
server_json — MCP-specific), this describes any connector; non-MCP kinds
leave the MCP-only fields empty.
Show child attributes
Show child attributes
Was this page helpful?